# Send me your pull requests ...

If you have a change, new problem, fix, added solution, etc.  Feel free to send
a pull request (against "develop" branch, but no worries if you do it against
"master").

Try to keep the formatting as close as possible to some of the nicer problems
(the early sections are most cleaned up).  The problems come from OPL and the
quality varies, and some of the problems are still a mess.  I'd like to make
them all reasonably simple and consistent in formatting and wording, and I'd
like to make the code readable and easy to modify (currently it is quite messy
in places).

One change I've made is that there are no labeled parts "a),b),c)".  The
problem with that is that for example Edfinity labels the inputs for the
students by letters, and if a part has more than one input, this can easily get
confusing.  Since we're filling in the answer directly into the problem, there
is no need to refer to parts anywhere unlike in traditional homework which is
generally "filled out" on a piece of paper that's distinct from the problem.
Best to keep the number of random labels flying around to a minimum.

One thing that would be good to add is as many solutions with explanations as
possible.  Early sections, being most used, are perhaps more of a priority.

There are also quite a few sections where there really aren't enough questions.
I'm trying to go for about 10ish questions per hour of lecture, although this
depends on how hard the questions are.  It is always possible for an instructor
to just remove problems from their homework, so having more problems (as long
as it's not excessive) is not so much of an issue.

If you have some changes that are "noncontrovertial" in the sense they are
fixes, and some that are suggestions that might need more work or review, it
might be best to split them into several pull requests.

The license is the same as the OPL (because most problems came from there
originally).  That CC-NC-SA license.  See LICENSE.md.  So by submitting a pull
request you are OK with your change being under this license.
